Skip to content

Multi-tenant health scores

GET
/api/v1/monitoring/tenant-health/all
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/monitoring/tenant-health/all?tenant_ids=example' \
--header 'X-API-Key: <X-API-Key>'

Returns health scores for all requested tenants.

tenant_ids
required
Tenant Ids

Comma-separated tenant IDs

string

Comma-separated tenant IDs

Successful Response

Media typeapplication/json
Response Get All Tenant Health Api V1 Monitoring Tenant Health All Get
Array<object>
TenantHealthScore

Weighted components retain their availability independently of the total.

object
agent_score
Any of:
number
computed_at
Computed At
string
connector_score
Any of:
number
credit_score
Any of:
number
error_score
Any of:
number
health_score
Any of:
integer
latency_score
Any of:
number
scoring_version
Scoring Version
integer
default: 2
Allowed value: 2
severity
Severity
string
default: unknown
tenant_id
Tenant Id
string
""
trend
Trend
string
default: unknown
Example
[
{
"scoring_version": 2,
"severity": "unknown",
"tenant_id": "",
"trend": "unknown"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}